require( "scripts/style.lua" );

TitleFont = {
  standardFont,
  70,
  BlackColor
};


MakeDialog
{
	-- Name the modal dialog
	name="comic_01",
	
	Bitmap
	{
		image="backgrounds/Teste_HQ_01",
		alpha = true,
		
		Button
		{
			x=750,
			y=520,
			graphics = ArrowRightButtonGraphics,
			name="RightFlipArrow",
			sound="audio/sfx/beta_build/main_buttons_swap_overview.ogg",
			type = kPush,
			command=
				function()
					DoModal("scripts/comic_02.lua");							
				end
			
		},

		Button
		{
			x=10,
			y=530,
			font = StandardButtonFont,
			graphics = SkipButtonGraphics,
			sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
			name="back",
			type = kPush,
			flags = kHAlignCenter + kVAlignCenter,
			command =
				function()
					CPP_ComicOn(false);
					PopModal("comic_01");			
				end
		};
	},
};

CPP_ComicOn(true);