require( "scripts/style.lua" );

ButtonFont = {
  standardFont,
  20,
  BlackColor
};

TextGroup =
{
	name="TextGroup",
	x=kCenter,
	y=kCenter,
	w=400,
	h=800,
	
	Text 
	{ 
		x = kCenter, 
		y = kCenter, 
		w = 200, 
		h = 200, 
		name = "ScrapText", 
		label = "", 
		font = StandardMoneyCountFont, 
		flags = kHAlignLeft + kVAlignTop 
	},
};

MakeDialog
{
	-- Name the modal dialog
	name="scrap_c",
	
        Bitmap
        {
            alpha = true,
            image="backgrounds/background_folhas",
            x=kCenter,
            y=kCenter,
        },
        
        Bitmap
        {
            alpha = true,
            image="backgrounds/background_folhas",
            x=kCenter,
            y=kCenter,
        },
        
        Bitmap
        {
            alpha = true,
            image="backgrounds/scrap_c",
            x=kCenter,
            y=kCenter,
        },
        
        SetStyle(BigButtonStyle),
        
        Button
        {
            x=kCenter,
            y=kCenter+235,
            label="back",
            --close = true,	-- Just close this window
            sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
            command=
                function()
                    SetState( kPause, false );
                    PopModal("scrap_c");
                end
        },
	--[[
	Button
	{
		x=kCenter,
		y=kCenter,
		graphics = Complement01Graphics,
		name="Complement01",
		close = true,	-- Just close this window
		command=
			function()
	       		SetState(kPause, false);
			end;
	},	
	]]--
	    Window(TextGroup),
}

CPP_ScrapID("Complaint01");