require( "scripts/style.lua" );



TitleFont = {
  standardFont,
  70,
  BlackColor
};


MakeDialog
{
	-- Name the modal dialog
	name="creditswindow",
	

	Bitmap
        {
            image="backgrounds/background_folhas",
            alpha = true,
            x=kCenter,
            y=kCenter,
        },

	Bitmap
	{
		image="backgrounds/window",
		alpha = true,

		Bitmap
		{
			image="backgrounds/tit_credits",
			x=258,
			y=40,		
		};

		CreditsWindow
		{
			x = 0, y = 130, --y = 150
			w = 800, h = 326, --h = 306
			font = standardFont,
			fontsize = 16,
			fontcolor = BlackColor,
			headercolor = DarkBlueColor,
			columngap = 50,    --50
			columnwidth = 325, --325
			time = 20000, 		-- Time to play credits in milliseconds
			intropause = 3000, 	-- Time to pause credits at start, in ms
			file = "credits/credits.txt",
		},

		--[[Text
		{
			flags=kHAlignCenter + kVAlignTop,
			x=0,y=-22,
			w=kMax;h=39;
			label="#"..GetString("version",GetConfig(kGameVersion)) ;
		};]]--

		Button
		{
			x=kCenter,
			y=kCenter+235,
			font = StandardButtonFont,
			graphics = BigButtonGraphics,
			name="back",
			type = kPush,
			flags = kHAlignCenter + kVAlignCenter,
			sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
			label="back",
			command =
				function()
					PopModal("creditswindow");
				end
		};
	},
}