require( "scripts/style.lua" );
--require( "scripts/howtoplay.lua" );

TitleFont = {
  standardFont,
  70,
  BlackColor
};


MakeDialog
{
	-- Name the modal dialog
	name="howtoplay5",
	
	Bitmap
	{
		image="backgrounds/window",
		alpha = true,

		Bitmap
		{
			image="backgrounds/tit_how_to_play",
			x=258,
			y=40,		
		};
		
		Bitmap
		{
			image="backgrounds/How_to_play_05",
			x=125,
			y=103,		
		};
		
		Button
		{
			x=38,
			y=265,
			graphics = BigArrowLeftButtonGraphics,
			name="LeftFlipArrow",
			sound="audio/sfx/beta_build/main_buttons_swap_overview.ogg",
			type = kPush,
			command=
				function()
					PopModal("howtoplay5");		
				end
		},
		
		Button
		{
			x=695,
			y=265,
			graphics = BigArrowRightButtonGraphics,
			name="RightFlipArrow",
			sound="audio/sfx/beta_build/main_buttons_swap_overview.ogg",
			type = kPush,
			command=
				function()
					DoModal("scripts/howtoplay6.lua");		
				end
		},
		
		Button
		{
			x=kCenter,
			y=kCenter+235,
			font = StandardButtonFont,
			graphics = BigButtonGraphics,
			sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
			name="back",
			type = kPush,
			flags = kHAlignCenter + kVAlignCenter,
			label="back",
			command =
				function()
					PopModal("howtoplay1");
				end
		};	
	},
}