
require( "scripts/style.lua" );

blarghargh = false;
kButtonSpacing = 45;
kButtonY = 310;
kButtonX = 318;

function CheckUsers()
	if (GetNumUsers() == 0) then
		gEnterNameValue = "";
		name = DoModal("scripts/entername.lua");
		if (not(name == nil)) then
			CreateNewUser(name);
			return true ;
		end
		return false ;
	else
		return true;
	end
end

function QuitGame()
	CloseWindow();
end

MakeDialog
{
	-- Name the modal dialog
	name="mainmenu",

	Bitmap
	{
		name="backgroundimage",
		image="backgrounds/main_menu_backgound_01",	
	},
	MainMenu
	{
		w=800,
		h=600,
		--fit=true;
		--Bitmap
		--{
			--name="backgroundimage",
			--image="backgrounds/main_menu_backgound_01",

			--[[Bitmap
			{
				image="backgrounds/main_menu_cloud_01",
				x=500,
				y=50,
			},

			Bitmap
			{
				image="backgrounds/main_menu_cloud_02",
				x=200,
				y=150,
			},

			Bitmap
			{
				image="backgrounds/main_menu_cloud_03",
				x=100,
				y=70,
			},

			Bitmap
			{
				image="backgrounds/main_menu_garden_01",
				alpha = true,
				x=0,
				y=0,
			},

			Bitmap
			{
				image="backgrounds/main_menu_Blooming_daisies",
				x=180,
				y=0,
			},

			Bitmap
			{
				image="backgrounds/main_menu_Daisy_01",
				x=433,
				y=156,
			};]]--

			--SetStyle( MenuButtonStyle ),
			Button
			{
				x=310,
				y=258,
				font = PlayButtonFont,
				graphics= PlayButtonGraphics,
				--sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
				name="gamemode1",
				label= "gamemode1",
				--MenuButtonLabel("gamemode1"),
				type = kPush,
				command=
					function()
						if (CheckUsers()) then
							-- Tell TSettings what game mode we're entering
							if (blarghargh == false) then
							    quit_pause = true;
								blarghargh = true;
								CPP_SetLoading(true);
								CPP_EnableCursor(false);
								EnableWindow("loading_screen", true);
								--DoModal("scripts/loading_screen.lua");
							else
							-- Switch to the appropriate screen
								blarghargh = false;
								CPP_SetLoading(false);
								SetLastGameMode(1);
								SetCurrentGameMode(2);
							    SwapToModal("scripts/twodemos.lua");
							    SetState( kGameMode, "twodemos" );
							    --DoModal("scripts/twodemos.lua");
							    CPP_SetPause( false );
							    gamePaused=false;
							    CPP_EnableCursor(true);
							    
							    if (CPP_GetSaveGame() == false) then
									DoModal("scripts/comic_01.lua");
								end													
						    end
					    end
				    end
			},

			Button
			{
				x=323,
				y=323,
				font = StandardButtonFont,
				graphics= MediumButtonGraphics,
				sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
				name="options",
				label="options",
				type = kPush,
				command=
					function()
						DoModal("scripts/options.lua");
					end
			},

			Button
			{
				x=302,
				y=383,
				font = StandardButtonFont,
				graphics= BigButtonGraphics,
				sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
				name="howtoplay",
				label="howtoplay",
				type = kPush,
				command=
					function()
						DoModal("scripts/howtoplay.lua");
					end
			},

--[[
			Button
			{
				x=302,
				y=443,
				font = StandardButtonFont,
				graphics= BigButtonGraphics,
				sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
				name="highscores",
				label="highscores",
				type = kPush,
				command=
					function()
						SwapToModal("scripts/hiscore.lua");
					end
			},
]]--

			Button
			{
				x=332,
				y=443,
				font = StandardButtonFont,
				graphics= SmallButtonLeftGraphics,
				sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
				name="quit",
				label="quit",
				type = kPush,
				command=
					function()
						result = DisplayDialog {
							"scripts/yesno.lua",
							body ="quitconfirm",
							title = "quittitle"
						};
						if (result=='yes') then
							SetLastGameMode(1);
							SetCurrentGameMode(1);
							PostMessage( CreateNamedMessage( kQuitNow, "Quit" ) );
						end
					end
			},

			Button
			{
				x=5,
				y=540,
				font = MinorStandardButtonFont,--StandardButtonFont,
				graphics= SmallButtonLeftGraphics,
				sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
				name="credits",
				label="credits",
				type = kPush,
				command=
					function()
						DoModal("scripts/credits.lua");
					end
			},

			--[[Bitmap
			{
				image="backgrounds/main_menu_flower_right_01",
				x=694,
				y=479,
			},]]--
		
			Bitmap
			{
				image="backgrounds/welcome_bar_01",
				x=550,
				y=500,
			},

			Text
			{
				font = StandardButtonFont,
				name = "welcome",
				x=555,
				y=508,
				w=230,
				h=50,
				label = "welcome",
				flags = kHAlignCenter + kVAlignCenter
			},
			
			Button
			{
				x=580,
				y=540,
				font = MinorStandardButtonFont2,--StandardButtonFont,
				graphics= BigButtonGraphics,
				sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
				name="chooseeplayer",
				label="chooseplayer",
				type = kPush,
				command=
					function()
						DoModal("scripts/chooseplayer.lua");
					end
			},

			--[[Bitmap
			{
				image="backgrounds/main_menu_flower_left_01",
				x=0,
				y=568,
			},]]--
			
			Bitmap
			{
				image = "backgrounds/loading",
				name = "loading_screen",
				x=0,
				y=0,
			}
			
		--},
	},
}

EnableWindow("loading_screen", false);
CPP_EnableCursor(true);