require( "scripts/style.lua" );

ButtonFont = {
  standardFont,
  20,
  BlackColor
};

TextGroup =
{
	name="TextGroup",
	x=kCenter,
	y=kCenter,
	w=400,
	h=800,
	
	Text 
	{ 
		x = kCenter, 
		y = kCenter, 
		w = 200, 
		h = 200, 
		name = "ScrapText", 
		label = "", 
		font = StandardMoneyCountFont, 
		flags = kHAlignLeft + kVAlignTop 
	},
};

MakeDialog
{
	-- Name the modal dialog
	name="scrap_b",
	
	Scrap
	{
        x=0,
        y=0,
        w=800,
        h=600,
	
        Bitmap
        {
            alpha = true,
            image="backgrounds/background_folhas",
            x=kCenter,
            y=kCenter,
        },
        
        Bitmap
        {
            alpha = true,
            image="backgrounds/background_folhas",
            x=kCenter,
            y=kCenter,
        },
        
        Bitmap
        {
            alpha = true,
            image="backgrounds/scrap_b",
            x=kCenter,
            y=kCenter,
            
            Button
            {
                x=kCenter + 275,
                y=475,
                label="back",
                --close = true,	-- Just close this window
                sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
                command=
                    function()
                        SetState( kPause, false );
                        PopModal("scrap_b");
                    end

            },	
            Window(TextGroup),
        },
        
        --[[
        Button
        {
            x=kCenter,
            y=kCenter,
            graphics = ScrapAGraphics,
            name="ScrapA",
            close = true,	-- Just close this window
            command=
                function()
                    SetState(kPause, false);
                end;
        },
        --]]
    },
}

CPP_ScrapID("Complaint_01");