standardFont = "fonts/hsc.mvec";
speakFont = "fonts/digistrip.mvec";
tooltipFont = "fonts/garamond.mvec";

quit_pause = false;
gamePaused = false;

BlackColor = Color(0,0,0,255);
BlueColor = Color(77,115,178,255);
GreenColor = Color(77,115,178,255);
DarkGreenColor = Color(8,55,8,255);
DarkBlueColor = Color(40,60,120,255);
WhiteColor = Color(255,255,255,255);
MenuButtonFontColor = Color(255,255,255,255);

StandardButtonGraphics = {
	"buttons/buttonup",
	"buttons/buttondown",
	"buttons/buttonrollover"
};

LongButtonGraphics = {
	"buttons/long_button_up.png",
	"buttons/long_button_down.png",
	"buttons/long_button_over.png"
};

--[[CheckboxButtonGraphics = {
	"but_check_off_normal",
	"but_check_on_normal",
	"but_check_off_over",
	"but_check_on_over"
};]]--

CheckboxButtonGraphics = {
	"buttons/but_check_off_normal",
	"buttons/but_check_on_normal",
	"buttons/but_check_off_over",
	"buttons/but_check_on_over"
};

PlayButtonGraphics = {
	"buttons/but_play_normal",
	"buttons/but_play_down",
	"buttons/but_play_over",
};

SmallButtonRightGraphics = {
	"buttons/but_small_normal_right.png",
	"buttons/but_small_down_right.png",
	"buttons/but_small_over_right.png"
};

SmallButtonLeftGraphics = {
	"buttons/but_small_normal_left.png",
	"buttons/but_small_down_left.png",
	"buttons/but_small_over_left.png"
};

MediumButtonGraphics = {
	"buttons/but_medium_normal.png",
	"buttons/but_medium_down.png",
	"buttons/but_medium_over.png"
};

BigButtonGraphics = {
	"buttons/but_big_normal.png",
	"buttons/but_big_down.png",
	"buttons/but_big_over.png"
};

SkipButtonGraphics = {
	"buttons/but_skip_NORMAL.png",
	"buttons/but_skip_DOWN.png",
	"buttons/but_skip_OVER.png"
};

ViewButtonGraphics = {
	"buttons/but_skip_NORMAL.png",
	"buttons/but_skip_DOWN.png",
	"buttons/but_skip_OVER.png"
};

DigButtonGraphics = {
	"buttons/bt_dig_up.png",
	"buttons/bt_dig_down.png",
	"buttons/bt_dig_over.png"
};

DropButtonGraphics = {
	"buttons/bt_drop_up.png",
	"buttons/bt_drop_down.png",
	"buttons/bt_drop_over.png"
};

DestroyButtonGraphics = {
	"buttons/bt_destroy_up.png",
	"buttons/bt_destroy_down.png",
	"buttons/bt_destroy_over.png"
};

CancelButtonGraphics = {
	"buttons/bt_cancel_up.png",
	"buttons/bt_cancel_down.png",
	"buttons/bt_cancel_over.png"
};

DragButtonGraphics = {
	"buttons/button_drag_01.png",
	"buttons/button_drag_04.png",
	"buttons/button_drag_02.png",
	"buttons/button_drag_04.png"
};

TrashButtonGraphics = {
	"buttons/button_trash_01.png",
	"buttons/button_trash_04.png",
	"buttons/button_trash_02.png",
	"buttons/button_trash_04.png"
};

BackButtonGraphics = {
	"buttons/button_back_01.png",
	"buttons/button_back_03.png",
	"buttons/button_back_02.png"
};

CreditsButtonGraphics = {
	"buttons/button_credits_01.png",
	"buttons/button_credits_03.png",
	"buttons/button_credits_02.png"
};

MenuButtonGraphics = {
	"buttons/button_menu_01.png",
	"buttons/button_menu_03.png",
	"buttons/button_menu_02.png"
};

ResumeButtonGraphics = {
	"buttons/button_resume_01.png",
	"buttons/button_resume_03.png",
	"buttons/button_resume_02.png"
};

OptionsButtonGraphics = {
	"buttons/button_options_01.png",
	"buttons/button_options_03.png",
	"buttons/button_options_02.png"
};

HowToPlayButtonGraphics = {
	"buttons/button_how_01.png",
	"buttons/button_how_03.png",
	"buttons/button_how_02.png"
};

ShopButtonGraphics = {
	"buttons/button_shop_01.png",
	"buttons/button_shop_03.png",
	"buttons/button_shop_02.png"
};

OpenGardenButtonGraphics = {
	"buttons/button_open_01.png",
	"buttons/button_open_02.png",
	"buttons/button_open_03.png"
};

ClosedGardenButtonGraphics = {
	"buttons/button_closed_01.png",
	"buttons/button_closed_02.png",
	"buttons/button_closed_03.png"
};

QuitButtonGraphics = {
	"buttons/button_quit_01.png",
	"buttons/button_quit_03.png",
	"buttons/button_quit_02.png"
};

OverviewButtonGraphics = {
	"buttons/button_overview_01.png",
	"buttons/button_overview_03.png",
	"buttons/button_overview_02.png"
};

PriceLemonadeOnButtonGraphics = {
	"backgrounds/price_lemonade_01.png",
	"backgrounds/price_lemonade_01.png",
	"backgrounds/price_lemonade_01.png"
};

PriceLemonadeOffButtonGraphics = {
	"backgrounds/price_lemonade_02.png",
	"backgrounds/price_lemonade_02.png",
	"backgrounds/price_lemonade_02.png"
};

PriceHotDogOnButtonGraphics = {
	"backgrounds/price_hotdog_01.png",
	"backgrounds/price_hotdog_01.png",
	"backgrounds/price_hotdog_01.png"
};

PriceHotDogOffButtonGraphics = {
	"backgrounds/price_hotdog_02.png",
	"backgrounds/price_hotdog_02.png",
	"backgrounds/price_hotdog_02.png"
};

PriceToyOnButtonGraphics = {
	"backgrounds/price_toy_01.png",
	"backgrounds/price_toy_01.png",
	"backgrounds/price_toy_01.png"
};

PriceToyOffButtonGraphics = {
	"backgrounds/price_toy_02.png",
	"backgrounds/price_toy_02.png",
	"backgrounds/price_toy_02.png"
};

PriceShirtOnButtonGraphics = {
	"backgrounds/price_tshirt_01.png",
	"backgrounds/price_tshirt_01.png",
	"backgrounds/price_tshirt_01.png"
};

PriceShirtOffButtonGraphics = {
	"backgrounds/price_tshirt_02.png",
	"backgrounds/price_tshirt_02.png",
	"backgrounds/price_tshirt_02.png"
};

IncreaseTicketButtonGraphics = {
	"buttons/button_prices_up_01.png",
	"buttons/button_prices_up_03.png",
	"buttons/button_prices_up_02.png",
};

DecreaseTicketButtonGraphics = {
	"buttons/button_prices_down_01.png",
	"buttons/button_prices_down_03.png",
	"buttons/button_prices_down_02.png",
};

IncreaseLemonadeButtonGraphics = {
	"buttons/button_prices_up_01.png",
	"buttons/button_prices_up_03.png",
	"buttons/button_prices_up_02.png",
};

DecreaseLemonadeButtonGraphics = {
	"buttons/button_prices_down_01.png",
	"buttons/button_prices_down_03.png",
	"buttons/button_prices_down_02.png",
};

IncreaseHotDogButtonGraphics = {
	"buttons/button_prices_up_01.png",
	"buttons/button_prices_up_03.png",
	"buttons/button_prices_up_02.png",
};

DecreaseHotDogButtonGraphics = {
	"buttons/button_prices_down_01.png",
	"buttons/button_prices_down_03.png",
	"buttons/button_prices_down_02.png",
};

IncreaseToyButtonGraphics = {
	"buttons/button_prices_up_01.png",
	"buttons/button_prices_up_03.png",
	"buttons/button_prices_up_02.png",
};

DecreaseToyButtonGraphics = {
	"buttons/button_prices_down_01.png",
	"buttons/button_prices_down_03.png",
	"buttons/button_prices_down_02.png",
};

IncreaseShirtButtonGraphics = {
	"buttons/button_prices_up_01.png",
	"buttons/button_prices_up_03.png",
	"buttons/button_prices_up_02.png",
};

DecreaseShirtButtonGraphics = {
	"buttons/button_prices_down_01.png",
	"buttons/button_prices_down_03.png",
	"buttons/button_prices_down_02.png",
};

Complement01ButtonGraphics = {
	"buttons/button_scrap_a_01.png",	
	"buttons/button_scrap_a_03.png",
	"buttons/button_scrap_a_02.png",
};

Complement02ButtonGraphics = {
	"buttons/button_scrap_b_01.png",	
	"buttons/button_scrap_b_03.png",
	"buttons/button_scrap_b_02.png",
};

Complement03ButtonGraphics = {
	"buttons/button_scrap_a_01.png",	
	"buttons/button_scrap_a_03.png",
	"buttons/button_scrap_a_02.png",
};

Complement04ButtonGraphics = {
	"buttons/button_scrap_b_01.png",	
	"buttons/button_scrap_b_03.png",
	"buttons/button_scrap_b_02.png",
};

Complaint01ButtonGraphics = {
	"buttons/button_scrap_d_01.png",
	"buttons/button_scrap_d_03.png",
	"buttons/button_scrap_d_02.png",
};

Complaint02ButtonGraphics = {
	"buttons/button_scrap_c_01.png",
	"buttons/button_scrap_c_03.png",
	"buttons/button_scrap_c_02.png",
};

Complaint03ButtonGraphics = {
	"buttons/button_scrap_d_01.png",
	"buttons/button_scrap_d_03.png",
	"buttons/button_scrap_d_02.png",
};

Complaint04ButtonGraphics = {
	"buttons/button_scrap_c_01.png",
	"buttons/button_scrap_c_03.png",
	"buttons/button_scrap_c_02.png",
};

Complement01Graphics = {
	"backgrounds/scrap_a.png",
	"backgrounds/scrap_a.png",
	"backgrounds/scrap_a.png",
};

Complement02Graphics = {
	"backgrounds/scrap_b.png",
	"backgrounds/scrap_b.png",
	"backgrounds/scrap_b.png",
};

Complaint01Graphics = {
	"backgrounds/scrap_c.png",
	"backgrounds/scrap_c.png",
	"backgrounds/scrap_c.png",
};

Complaint02Graphics = {
	"backgrounds/scrap_d.png",
	"backgrounds/scrap_d.png",
	"backgrounds/scrap_d.png",
};

ArrowRightButtonGraphics = {
	"buttons/arrow_right_01.png",	
	"buttons/arrow_right_03.png",
	"buttons/arrow_right_02.png",	
};

ArrowLeftButtonGraphics = {
	"buttons/arrow_left_01.png",	
	"buttons/arrow_left_03.png",
	"buttons/arrow_left_02.png",	
};

BigArrowRightButtonGraphics = {
	"buttons/bt_arrow_right_normal.png",	
	"buttons/bt_arrow_right_down.png",
	"buttons/bt_arrow_right_over.png",	
};

BigArrowLeftButtonGraphics = {
	"buttons/bt_arrow_left_normal.png",	
	"buttons/bt_arrow_left_down.png",
	"buttons/bt_arrow_left_over.png",	
};

--[[SATISFACTION LEVEL BAR------------------------------------------------------------]]--
SatisfactionLevel01Graphics = {
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",	
};

SatisfactionLevel02Graphics = {
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",	
};

SatisfactionLevel03Graphics = {
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",	
};

SatisfactionLevel04Graphics = {
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",	
};

SatisfactionLevel05Graphics = {
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",	
};

SatisfactionLevel06Graphics = {
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",	
};

SatisfactionLevel07Graphics = {
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",	
};

SatisfactionLevel08Graphics = {
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",	
};

SatisfactionLevel09Graphics = {
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",	
};

SatisfactionLevel10Graphics = {
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",
	"buttons/icon_satisfaction.png",	
};
--[[SATISFACTION LEVEL BAR------------------------------------------------------------]]--


--[[BARRAS DE NVEIS DOS DIFERENTES QUESITOS------------------------------------------]]--
--RECICLAGEM--
RecyclingNullGraphics = {
	"buttons/bar_overview_recycling_01.png",
	"buttons/bar_overview_recycling_01.png",
	"buttons/bar_overview_recycling_01.png",	
};

RecyclingIdealGraphics = {
	"buttons/bar_overview_recycling_02.png",
	"buttons/bar_overview_recycling_02.png",
	"buttons/bar_overview_recycling_02.png",	
};

RecyclingLowGraphics = {
	"buttons/bar_overview_recycling_03.png",
	"buttons/bar_overview_recycling_03.png",
	"buttons/bar_overview_recycling_03.png",	
};

RecyclingMediumGraphics = {
	"buttons/bar_overview_recycling_04.png",
	"buttons/bar_overview_recycling_04.png",
	"buttons/bar_overview_recycling_04.png",	
};

RecyclingHighGraphics = {
	"buttons/bar_overview_recycling_05.png",
	"buttons/bar_overview_recycling_05.png",
	"buttons/bar_overview_recycling_05.png",	
};

RecyclingCriticalGraphics = {
	"buttons/bar_overview_recycling_06.png",
	"buttons/bar_overview_recycling_06.png",
	"buttons/bar_overview_recycling_06.png",	
};
--RECICLAGEM--

--LIXO--
TrashComplaintNullGraphics = {
	"buttons/bar_overview_00.png",
	"buttons/bar_overview_00.png",
	"buttons/bar_overview_00.png",	
};

TrashComplaintIdealGraphics = {
	"buttons/bar_overview_01.png",
	"buttons/bar_overview_01.png",
	"buttons/bar_overview_01.png",	
};

TrashComplaintLowGraphics = {
	"buttons/bar_overview_02.png",
	"buttons/bar_overview_02.png",
	"buttons/bar_overview_02.png",	
};

TrashComplaintMediumGraphics = {
	"buttons/bar_overview_03.png",
	"buttons/bar_overview_03.png",
	"buttons/bar_overview_03.png",	
};

TrashComplaintHighGraphics = {
	"buttons/bar_overview_04.png",
	"buttons/bar_overview_04.png",
	"buttons/bar_overview_04.png",	
};

TrashComplaintCriticalGraphics = {
	"buttons/bar_overview_05.png",
	"buttons/bar_overview_05.png",
	"buttons/bar_overview_05.png",	
};
--LIXO--

--ESTRADA QUEBRADA--
RoadComplaintNullGraphics = {
	"buttons/bar_overview_00.png",
	"buttons/bar_overview_00.png",
	"buttons/bar_overview_00.png",	
};

RoadComplaintIdealGraphics = {
	"buttons/bar_overview_01.png",
	"buttons/bar_overview_01.png",
	"buttons/bar_overview_01.png",	
};

RoadComplaintLowGraphics = {
	"buttons/bar_overview_02.png",
	"buttons/bar_overview_02.png",
	"buttons/bar_overview_02.png",	
};

RoadComplaintMediumGraphics = {
	"buttons/bar_overview_03.png",
	"buttons/bar_overview_03.png",
	"buttons/bar_overview_03.png",	
};

RoadComplaintHighGraphics = {
	"buttons/bar_overview_04.png",
	"buttons/bar_overview_04.png",
	"buttons/bar_overview_04.png",	
};

RoadComplaintCriticalGraphics = {
	"buttons/bar_overview_05.png",
	"buttons/bar_overview_05.png",
	"buttons/bar_overview_05.png",	
};
--ESTRADA QUEBRADA--

--MONUMENTO SUJO--
DirtyOrnNullGraphics = {
	"buttons/bar_overview_00.png",
	"buttons/bar_overview_00.png",
	"buttons/bar_overview_00.png",	
};

DirtyOrnIdealGraphics = {
	"buttons/bar_overview_01.png",
	"buttons/bar_overview_01.png",
	"buttons/bar_overview_01.png",	
};

DirtyOrnLowGraphics = {
	"buttons/bar_overview_02.png",
	"buttons/bar_overview_02.png",
	"buttons/bar_overview_02.png",	
};

DirtyOrnMediumGraphics = {
	"buttons/bar_overview_03.png",
	"buttons/bar_overview_03.png",
	"buttons/bar_overview_03.png",	
};

DirtyOrnHighGraphics = {
	"buttons/bar_overview_04.png",
	"buttons/bar_overview_04.png",
	"buttons/bar_overview_04.png",	
};

DirtyOrnCriticalGraphics = {
	"buttons/bar_overview_05.png",
	"buttons/bar_overview_05.png",
	"buttons/bar_overview_05.png",	
};

--MONUMENTO SUJO--

--RECLAMAES VISITANTES--
VisitorsComplaintNullGraphics = {
	"buttons/bar_overview_00.png",
	"buttons/bar_overview_00.png",
	"buttons/bar_overview_00.png",	
};

VisitorsComplaintIdealGraphics = {
	"buttons/bar_overview_01.png",
	"buttons/bar_overview_01.png",
	"buttons/bar_overview_01.png",	
};

VisitorsComplaintLowGraphics = {
	"buttons/bar_overview_02.png",
	"buttons/bar_overview_02.png",
	"buttons/bar_overview_02.png",	
};

VisitorsComplaintMediumGraphics = {
	"buttons/bar_overview_03.png",
	"buttons/bar_overview_03.png",
	"buttons/bar_overview_03.png",	
};

VisitorsComplaintHighGraphics = {
	"buttons/bar_overview_04.png",
	"buttons/bar_overview_04.png",
	"buttons/bar_overview_04.png",	
};

VisitorsComplaintCriticalGraphics = {
	"buttons/bar_overview_05.png",
	"buttons/bar_overview_05.png",
	"buttons/bar_overview_05.png",	
};
--RECLAMAES VISITANTES--

--PLANTAS MORTAS--
DeadPlantComplaintNullGraphics = {
	"buttons/bar_overview_00.png",
	"buttons/bar_overview_00.png",
	"buttons/bar_overview_00.png",	
};

DeadPlantComplaintIdealGraphics = {
	"buttons/bar_overview_01.png",
	"buttons/bar_overview_01.png",
	"buttons/bar_overview_01.png",	
};

DeadPlantComplaintLowGraphics = {
	"buttons/bar_overview_02.png",
	"buttons/bar_overview_02.png",
	"buttons/bar_overview_02.png",	
};

DeadPlantComplaintMediumGraphics = {
	"buttons/bar_overview_03.png",
	"buttons/bar_overview_03.png",
	"buttons/bar_overview_03.png",	
};

DeadPlantComplaintHighGraphics = {
	"buttons/bar_overview_04.png",
	"buttons/bar_overview_04.png",
	"buttons/bar_overview_04.png",	
};

DeadPlantComplaintCriticalGraphics = {
	"buttons/bar_overview_05.png",
	"buttons/bar_overview_05.png",
	"buttons/bar_overview_05.png",	
};
--PLANTAS MORTAS--
--[[BARRAS DE NVEIS DOS DIFERENTES QUESITOS------------------------------------------]]--

--[[CERTIFICADOS THUMBNAILS-----------------------------------------------------------]]--
CertificateGardeningButtonGraphics = {
	"buttons/cert_gardening_down",
	"buttons/cert_gardening_normal",		
	"buttons/cert_gardening_over",
}

CertificateLandscapeDesignButtonGraphics = {	
	"buttons/cert_landscape_down",
	"buttons/cert_landscape_normal",
	"buttons/cert_landscape_over",			
}

CertificateTourismButtonGraphics = {
	"buttons/cert_of_tourism_down",
	"buttons/cert_of_tourism_normal",
	"buttons/cert_of_tourism_over",	
}

CertificateAmbientalButtonGraphics = {
	"buttons/cert_ambiental_down",
	"buttons/cert_ambiental_normal",
	"buttons/cert_ambiental_over",		
}
--[[CERTIFICADOS THUMBNAILS-----------------------------------------------------------]]--

--[[AWARDS THUMBNAILS-----------------------------------------------------------------]]--
--track1 JARDINAGEM
AwardFloricultureButtonGraphics = {
	"buttons/award_floriculture_down",
	"buttons/award_floriculture_normal",
	"buttons/award_floriculture_over",		
}

AwardBotanicButtonGraphics = {
	"buttons/award_botanic_down",
	"buttons/award_botanic_normal",
	"buttons/award_botanic_over",		
}

--track2 PAISAGISMO
AwardGardenArtsButtonGraphics = {
	"buttons/award_garden_arts_down",
	"buttons/award_garden_arts_normal",
	"buttons/award_garden_arts_over",		
}

AwardLandscapeDesignButtonGraphics = {
	"buttons/award_landscape_down",
	"buttons/award_landscape_normal",
	"buttons/award_landscape_over",		
}

--track3 TURISMO
AwardPopularityButtonGraphics = {
	"buttons/award_popularity_down",
	"buttons/award_popularity_normal",
	"buttons/award_popularity_over",		
}

AwardQualityServicesButtonGraphics = {
	"buttons/award_quality_down",
	"buttons/award_quality_normal",
	"buttons/award_quality_over",		
}

--track4 MRITO AMBIENTAL
AwardRecyclingButtonGraphics = {
	"buttons/award_recycling_down",
	"buttons/award_recycling_normal",
	"buttons/award_recycling_over",		
}

AwardAmbientalPreservationButtonGraphics = {
	"buttons/award_ambiental_down",
	"buttons/award_ambiental_normal",
	"buttons/award_ambiental_over",		
}
--[[AWARDS THUMBNAILS-----------------------------------------------------------------]]--

--[[CERTIFICADOS JANELAS--------------------------------------------------------------]]--
CertificateGardeningGraphics = {
	"backgrounds/Cert_Gardening",
	"backgrounds/Cert_Gardening",		
	"backgrounds/Cert_Gardening",
}

CertificateLandscapeGraphics = {	
	"backgrounds/Cert_Landscape",
	"backgrounds/Cert_Landscape",
	"backgrounds/Cert_Landscape",			
}

CertificateTourismGraphics = {
	"backgrounds/Cert_Tourism",
	"backgrounds/Cert_Tourism",
	"backgrounds/Cert_Tourism",	
}

CertificateAmbientalGraphics = {
	"backgrounds/Cert_Ambiental",
	"backgrounds/Cert_Ambiental",
	"backgrounds/Cert_Ambiental",		
}
--[[CERTIFICADOS JANELAS--------------------------------------------------------------]]--

--[[AWARDS JANELAS--------------------------------------------------------------------]]--
--track1 JARDINAGEM
AwardFloricultureGraphics = {
	"backgrounds/Award_Floriculture",
	"backgrounds/Award_Floriculture",
	"backgrounds/Award_Floriculture",		
}

AwardBotanicGraphics = {
	"backgrounds/Award_Botanic",
	"backgrounds/Award_Botanic",
	"backgrounds/Award_Botanic",		
}

--track2 PAISAGISMO
AwardGardenArtsGraphics = {
	"backgrounds/Award_Garden_Arts",
	"backgrounds/Award_Garden_Arts",
	"backgrounds/Award_Garden_Arts",		
}

AwardLandscapeDesignGraphics = {
	"backgrounds/Award_Landscape",
	"backgrounds/Award_Landscape",
	"backgrounds/Award_Landscape",	
}

--track3 TURISMO
AwardPopularityGraphics = {
	"backgrounds/Award_Popularity",
	"backgrounds/Award_Popularity",
	"backgrounds/Award_Popularity",		
}

AwardQualityServicesGraphics = {
	"backgrounds/Award_Quality_Services",
	"backgrounds/Award_Quality_Services",
	"backgrounds/Award_Quality_Services",	
}

--track4 MRITO AMBIENTAL
AwardRecyclingGraphics = {
	"backgrounds/Award_Recycling",
	"backgrounds/Award_Recycling",
	"backgrounds/Award_Recycling",		
}

AwardAmbientalPreservationGraphics = {
	"backgrounds/Award_Ambiental",
	"backgrounds/Award_Ambiental",
	"backgrounds/Award_Ambiental",	
}
--[[AWARDS JANELAS--------------------------------------------------------------------]]--

--[[LEVEL BARS CERTIFICADOS-----------------------------------------------------------]]--
--QUESITO1
CertLevelBarQ100Graphics = {
	"buttons/bar_certificate_00",
	"buttons/bar_certificate_00",
	"buttons/bar_certificate_00",
}

CertLevelBarQ101Graphics = {
	"buttons/bar_certificate_01",
	"buttons/bar_certificate_01",
	"buttons/bar_certificate_01",
}

CertLevelBarQ102Graphics = {
	"buttons/bar_certificate_02",
	"buttons/bar_certificate_02",
	"buttons/bar_certificate_02",
}

CertLevelBarQ103Graphics = {
	"buttons/bar_certificate_03",
	"buttons/bar_certificate_03",
	"buttons/bar_certificate_03",
}

CertLevelBarQ104Graphics = {
	"buttons/bar_certificate_04",
	"buttons/bar_certificate_04",
	"buttons/bar_certificate_04",
}

CertLevelBarQ105Graphics = {
	"buttons/bar_certificate_05",
	"buttons/bar_certificate_05",
	"buttons/bar_certificate_05",
}

CertLevelBarQ106Graphics = {
	"buttons/bar_certificate_06",
	"buttons/bar_certificate_06",
	"buttons/bar_certificate_06",
}

CertLevelBarQ107Graphics = {
	"buttons/bar_certificate_07",
	"buttons/bar_certificate_07",
	"buttons/bar_certificate_07",
}

CertLevelBarQ108Graphics = {
	"buttons/bar_certificate_08",
	"buttons/bar_certificate_08",
	"buttons/bar_certificate_08",
}

CertLevelBarQ109Graphics = {
	"buttons/bar_certificate_09",
	"buttons/bar_certificate_09",
	"buttons/bar_certificate_09",
}

CertLevelBarQ110Graphics = {
	"buttons/bar_certificate_10",
	"buttons/bar_certificate_10",
	"buttons/bar_certificate_10",
}

CertLevelBarQ111Graphics = {
	"buttons/bar_certificate_11",
	"buttons/bar_certificate_11",
	"buttons/bar_certificate_11",
}

CertLevelBarQ112Graphics = {
	"buttons/bar_certificate_12",
	"buttons/bar_certificate_12",
	"buttons/bar_certificate_12",
}

CertLevelBarQ113Graphics = {
	"buttons/bar_certificate_13",
	"buttons/bar_certificate_13",
	"buttons/bar_certificate_13",
}

CertLevelBarQ114Graphics = {
	"buttons/bar_certificate_14",
	"buttons/bar_certificate_14",
	"buttons/bar_certificate_14",
}

CertLevelBarQ115Graphics = {
	"buttons/bar_certificate_15",
	"buttons/bar_certificate_15",
	"buttons/bar_certificate_15",
}
--QUESITO1



--QUESITO2
CertLevelBarQ200Graphics = {
	"buttons/bar_certificate_00",
	"buttons/bar_certificate_00",
	"buttons/bar_certificate_00",
}

CertLevelBarQ201Graphics = {
	"buttons/bar_certificate_01",
	"buttons/bar_certificate_01",
	"buttons/bar_certificate_01",
}

CertLevelBarQ202Graphics = {
	"buttons/bar_certificate_02",
	"buttons/bar_certificate_02",
	"buttons/bar_certificate_02",
}

CertLevelBarQ203Graphics = {
	"buttons/bar_certificate_03",
	"buttons/bar_certificate_03",
	"buttons/bar_certificate_03",
}

CertLevelBarQ204Graphics = {
	"buttons/bar_certificate_04",
	"buttons/bar_certificate_04",
	"buttons/bar_certificate_04",
}

CertLevelBarQ205Graphics = {
	"buttons/bar_certificate_05",
	"buttons/bar_certificate_05",
	"buttons/bar_certificate_05",
}

CertLevelBarQ206Graphics = {
	"buttons/bar_certificate_06",
	"buttons/bar_certificate_06",
	"buttons/bar_certificate_06",
}

CertLevelBarQ207Graphics = {
	"buttons/bar_certificate_07",
	"buttons/bar_certificate_07",
	"buttons/bar_certificate_07",
}

CertLevelBarQ208Graphics = {
	"buttons/bar_certificate_08",
	"buttons/bar_certificate_08",
	"buttons/bar_certificate_08",
}

CertLevelBarQ209Graphics = {
	"buttons/bar_certificate_09",
	"buttons/bar_certificate_09",
	"buttons/bar_certificate_09",
}

CertLevelBarQ210Graphics = {
	"buttons/bar_certificate_10",
	"buttons/bar_certificate_10",
	"buttons/bar_certificate_10",
}

CertLevelBarQ211Graphics = {
	"buttons/bar_certificate_11",
	"buttons/bar_certificate_11",
	"buttons/bar_certificate_11",
}

CertLevelBarQ212Graphics = {
	"buttons/bar_certificate_12",
	"buttons/bar_certificate_12",
	"buttons/bar_certificate_12",
}

CertLevelBarQ213Graphics = {
	"buttons/bar_certificate_13",
	"buttons/bar_certificate_13",
	"buttons/bar_certificate_13",
}

CertLevelBarQ214Graphics = {
	"buttons/bar_certificate_14",
	"buttons/bar_certificate_14",
	"buttons/bar_certificate_14",
}

CertLevelBarQ215Graphics = {
	"buttons/bar_certificate_15",
	"buttons/bar_certificate_15",
	"buttons/bar_certificate_15",
}
--QUESITO2



--QUESITO3
CertLevelBarQ300Graphics = {
	"buttons/bar_certificate_00",
	"buttons/bar_certificate_00",
	"buttons/bar_certificate_00",
}

CertLevelBarQ301Graphics = {
	"buttons/bar_certificate_01",
	"buttons/bar_certificate_01",
	"buttons/bar_certificate_01",
}

CertLevelBarQ302Graphics = {
	"buttons/bar_certificate_02",
	"buttons/bar_certificate_02",
	"buttons/bar_certificate_02",
}

CertLevelBarQ303Graphics = {
	"buttons/bar_certificate_03",
	"buttons/bar_certificate_03",
	"buttons/bar_certificate_03",
}

CertLevelBarQ304Graphics = {
	"buttons/bar_certificate_04",
	"buttons/bar_certificate_04",
	"buttons/bar_certificate_04",
}

CertLevelBarQ305Graphics = {
	"buttons/bar_certificate_05",
	"buttons/bar_certificate_05",
	"buttons/bar_certificate_05",
}

CertLevelBarQ306Graphics = {
	"buttons/bar_certificate_06",
	"buttons/bar_certificate_06",
	"buttons/bar_certificate_06",
}

CertLevelBarQ307Graphics = {
	"buttons/bar_certificate_07",
	"buttons/bar_certificate_07",
	"buttons/bar_certificate_07",
}

CertLevelBarQ308Graphics = {
	"buttons/bar_certificate_08",
	"buttons/bar_certificate_08",
	"buttons/bar_certificate_08",
}

CertLevelBarQ309Graphics = {
	"buttons/bar_certificate_09",
	"buttons/bar_certificate_09",
	"buttons/bar_certificate_09",
}

CertLevelBarQ310Graphics = {
	"buttons/bar_certificate_10",
	"buttons/bar_certificate_10",
	"buttons/bar_certificate_10",
}

CertLevelBarQ311Graphics = {
	"buttons/bar_certificate_11",
	"buttons/bar_certificate_11",
	"buttons/bar_certificate_11",
}

CertLevelBarQ312Graphics = {
	"buttons/bar_certificate_12",
	"buttons/bar_certificate_12",
	"buttons/bar_certificate_12",
}

CertLevelBarQ313Graphics = {
	"buttons/bar_certificate_13",
	"buttons/bar_certificate_13",
	"buttons/bar_certificate_13",
}

CertLevelBarQ314Graphics = {
	"buttons/bar_certificate_14",
	"buttons/bar_certificate_14",
	"buttons/bar_certificate_14",
}

CertLevelBarQ315Graphics = {
	"buttons/bar_certificate_15",
	"buttons/bar_certificate_15",
	"buttons/bar_certificate_15",
}
--QUESITO2
--[[LEVEL BARS CERTIFICADOS-----------------------------------------------------------]]--

--[[MEDALHAS--------------------------------------------------------------------------]]--
BronzeMedalSmallWaterGraphics = {
	"buttons/medal_bronze_mark_cert",
	"buttons/medal_bronze_mark_cert",
	"buttons/medal_bronze_mark_cert",
}

SilverMedalSmallWaterGraphics = {
	"buttons/medal_silver_mark_cert",
	"buttons/medal_silver_mark_cert",
	"buttons/medal_silver_mark_cert",
}

GoldMedalSmallWaterGraphics = {
	"buttons/medal_silver_mark_cert-17",
	"buttons/medal_silver_mark_cert-17",
	"buttons/medal_silver_mark_cert-17",
}

BronzeMedalSmallGraphics = {
	"backgrounds/medal_bronze_01",
	"backgrounds/medal_bronze_01",
	"backgrounds/medal_bronze_01",
}

SilverMedalSmallGraphics = {
	"backgrounds/medal_silver_01",
	"backgrounds/medal_silver_01",
	"backgrounds/medal_silver_01",
}

GoldMedalSmallGraphics = {
	"backgrounds/medal_gold_01",
	"backgrounds/medal_gold_01",
	"backgrounds/medal_gold_01",
}

BronzeMedalBigGraphics = {
	"backgrounds/medal_bronze_big",
	"backgrounds/medal_bronze_big",
	"backgrounds/medal_bronze_big",
}

SilverMedalBigGraphics = {
	"backgrounds/medal_silver_big",
	"backgrounds/medal_silver_big",
	"backgrounds/medal_silver_big",
}

GoldMedalBigGraphics = {
	"backgrounds/medal_gold_big",
	"backgrounds/medal_gold_big",
	"backgrounds/medal_gold_big",
}

--[[MEDALHAS--------------------------------------------------------------------------]]--

--[[ICONES DAS BARRAS DE CERTIFICADOS-------------------------------------------------]]--
IconFlowersGraphics = {
	"buttons/icon_flower_cert",
	"buttons/icon_flower_cert",
	"buttons/icon_flower_cert",
}
IconFlowersTypesGraphics = {
	"buttons/icon_flower_types_cert",
	"buttons/icon_flower_types_cert",
	"buttons/icon_flower_types_cert",
}
IconBushGraphics = {
	"buttons/icon_bush_cert",
	"buttons/icon_bush_cert",
	"buttons/icon_bush_cert",
}
IconBushTypesGraphics = {
	"buttons/icon_bush_types_cert",
	"buttons/icon_bush_types_cert",
	"buttons/icon_bush_types_cert",
}
IconTreeGraphics = {
	"buttons/icon_tree_cert",
	"buttons/icon_tree_cert",
	"buttons/icon_tree_cert",
}
IconTreeTypesGraphics = {
	"buttons/icon_tree_types_cert",
	"buttons/icon_tree_types_cert",
	"buttons/icon_tree_types_cert",
}
IconStatueGraphics = {
	"buttons/icon_statue_cert",
	"buttons/icon_statue_cert",
	"buttons/icon_statue_cert",
}
IconStatueTypesGraphics = {
	"buttons/icon_statue_types_cert",
	"buttons/icon_statue_types_cert",
	"buttons/icon_statue_types_cert",
}
IconBuildingTypesGraphics = {
	"buttons/icon_building_types_cert",
	"buttons/icon_building_types_cert",
	"buttons/icon_building_types_cert",
}
IconFountainGraphics = {
	"buttons/icon_fountain_cert",
	"buttons/icon_fountain_cert",
	"buttons/icon_fountain_cert",
}
IconFountainTypesGraphics = {
	"buttons/icon_fountain_types_cert",
	"buttons/icon_fountain_types_cert",
	"buttons/icon_fountain_types_cert",
}
IconNumberDeadPlantsGraphics = {
	"buttons/icon_plant_life_cert",
	"buttons/icon_plant_life_cert",
	"buttons/icon_plant_life_cert",
}
IconNumberPlantsGraphics = {
	"buttons/icon_number_dead_plant",
	"buttons/icon_number_dead_plant",
	"buttons/icon_number_dead_plant",
}
IconTrashComplaintGraphics = {
	"buttons/icon_trash_cert",
	"buttons/icon_trash_cert",
	"buttons/icon_trash_cert",
}
IconDeadPlantComplaintGraphics = {
	"buttons/icon_deadplants_cert",
	"buttons/icon_deadplants_cert",
	"buttons/icon_deadplants_cert",
}
IconRecyclingGraphics = {
	"buttons/icon_recycling_cert",
	"buttons/icon_recycling_cert",
	"buttons/icon_recycling_cert",
}
IconSatisfactionGraphics = {
	"buttons/icon_satisfaction_cert",
	"buttons/icon_satisfaction_cert",
	"buttons/icon_satisfaction_cert",
}
IconCurrentVisitorsGraphics = {
	"buttons/icon_current_visits_cert",
	"buttons/icon_current_visits_cert",
	"buttons/icon_current_visits_cert",
}
IconWeekVisitorsGraphics = {
	"buttons/icon_week_visits_cert",
	"buttons/icon_week_visits_cert",
	"buttons/icon_week_visits_cert",
}
--[[ICONES DAS BARRAS DE CERTIFICADOS-------------------------------------------------]]--

--[[RELGIO---------------------------------------------------------------------------]]--
SunClock00Graphics = {
	"backgrounds/clock_flower_01",
	"backgrounds/clock_flower_01",
	"backgrounds/clock_flower_01",
}
SunClock01Graphics = {
	"backgrounds/clock_flower_02",
	"backgrounds/clock_flower_02",
	"backgrounds/clock_flower_02",
}
SunClock02Graphics = {
	"backgrounds/clock_flower_03",
	"backgrounds/clock_flower_03",
	"backgrounds/clock_flower_03",
}
SunClock03Graphics = {
	"backgrounds/clock_flower_04",
	"backgrounds/clock_flower_04",
	"backgrounds/clock_flower_04",
}
SunClock04Graphics = {
	"backgrounds/clock_flower_05",
	"backgrounds/clock_flower_05",
	"backgrounds/clock_flower_05",
}
SunClock05Graphics = {
	"backgrounds/clock_flower_06",
	"backgrounds/clock_flower_06",
	"backgrounds/clock_flower_06",
}
SunClock06Graphics = {
	"backgrounds/clock_flower_07",
	"backgrounds/clock_flower_07",
	"backgrounds/clock_flower_07",
}
SunClock07Graphics = {
	"backgrounds/clock_flower_08",
	"backgrounds/clock_flower_08",
	"backgrounds/clock_flower_08",
}
SunClock08Graphics = {
	"backgrounds/clock_flower_09",
	"backgrounds/clock_flower_09",
	"backgrounds/clock_flower_09",
}
SunClock09Graphics = {
	"backgrounds/clock_flower_10",
	"backgrounds/clock_flower_10",
	"backgrounds/clock_flower_10",
}
SunClock10Graphics = {
	"backgrounds/clock_flower_11",
	"backgrounds/clock_flower_11",
	"backgrounds/clock_flower_11",
}
SunClock11Graphics = {
	"backgrounds/clock_flower_12",
	"backgrounds/clock_flower_12",
	"backgrounds/clock_flower_12",
}
SunClock12Graphics = {
	"backgrounds/clock_flower_13",
	"backgrounds/clock_flower_13",
	"backgrounds/clock_flower_13",
}
SunClock13Graphics = {
	"backgrounds/clock_flower_14",
	"backgrounds/clock_flower_14",
	"backgrounds/clock_flower_14",
}
SunClock14Graphics = {
	"backgrounds/clock_flower_15",
	"backgrounds/clock_flower_15",
	"backgrounds/clock_flower_15",
}
--[[RELGIO---------------------------------------------------------------------------]]--

ScrollRightButtonGraphics = {
	"buttons/shop_scroll_right_NORMAL.png",
	"buttons/shop_scroll_right_DOWN.png",
	"buttons/shop_scroll_right_OVER.png",
	
};

ScrollLeftButtonGraphics = {
	"buttons/shop_scroll_left_NORMAL.png",
	"buttons/shop_scroll_left_DOWN.png",
	"buttons/shop_scroll_left_OVER.png",
};

ScrollFFRightButtonGraphics = {
	"buttons/shop_scroll_ff_right_NORMAL.png",
	"buttons/shop_scroll_ff_right_DOWN.png",
	"buttons/shop_scroll_ff_right_OVER.png",
	
};

ScrollFFLeftButtonGraphics = {
	"buttons/shop_scroll_ff_left_NORMAL.png",
	"buttons/shop_scroll_ff_left_DOWN.png",
	"buttons/shop_scroll_ff_left_OVER.png",
};

ShovelButtonGraphics = {
	"buttons/shop_shovel_01.png",
	"buttons/shop_shovel_02.png"
};

SeedBushButtonGraphics = {
	"buttons/shop_seed_bush_a_01.png",
	"buttons/shop_seed_bush_a_02.png"
};

SeedBushFernSagoPalmButtonGraphics = {
	"buttons/shop_seed_fern_01.png",
	"buttons/shop_seed_fern_02.png"
};

SeedBushHostaGoldButtonGraphics = {
	"buttons/shop_seed_hosta_gold_01.png",
	"buttons/shop_seed_hosta_gold_02.png"
};

SeedDaisyButtonGraphics = {
	"buttons/shop_seed_daisy_01.png",
	"buttons/shop_seed_daisy_02.png"
};

SeedLupinButtonGraphics = {
	"buttons/shop_seed_lupin_01.png",
	"buttons/shop_seed_lupin_02.png"
};

SeedNarcissusButtonGraphics = {
	"buttons/shop_seed_narcissus_01.png",
	"buttons/shop_seed_narcissus_02.png"
};

SeedRoseButtonGraphics = {
	"buttons/shop_seed_rose_01.png",
	"buttons/shop_seed_rose_02.png"
};

SeedSunflowerButtonGraphics = {
	"buttons/shop_seed_sunflower_01.png",
	"buttons/shop_seed_sunflower_02.png"
};

SeedTulipButtonGraphics = {
	"buttons/shop_seed_tulip_01.png",
	"buttons/shop_seed_tulip_02.png"
};

SeedZantedeschiaButtonGraphics = {
	"buttons/shop_seed_zantedeschia_01.png",
	"buttons/shop_seed_zantedeschia_02.png"
};

SeedLilyButtonGraphics = {
	"buttons/shop_seed_africanlily_01.png",
	"buttons/shop_seed_africanlily_02.png"
};

SeedGrassButtonGraphics = {
	"buttons/shop_seed_grass_01.png",
	"buttons/shop_seed_grass_02.png"
};

TreeElmButtonGraphics = {
	"buttons/shop_sprout_field_elm_01.png",
	"buttons/shop_sprout_field_elm_02.png"
};

TreePalmButtonGraphics = {
	"buttons/shop_sprout_date_palm_01.png",
	"buttons/shop_sprout_date_palm_02.png"
};

TreeJacarandaButtonGraphics = {
	"buttons/shop_sprout_jacaranda_01.png",
	"buttons/shop_sprout_jacaranda_02.png"
};

TreeMapleButtonGraphics = {
	"buttons/shop_sprout_red_maple_01.png",
	"buttons/shop_sprout_red_maple_02.png"
};

TreeCedarButtonGraphics = {
	"buttons/shop_sprout_cedar_01.png",
	"buttons/shop_sprout_cedar_02.png"
};

WateringCanButtonGraphics = {
	"buttons/shop_watering_01.png",
	"buttons/shop_watering_02.png"
};

SqueegeButtonGraphics = {
	"buttons/shop_aqueege_01.png",
	"buttons/shop_aqueege_02.png"
};

StatueBearButtonGraphics = {
	"buttons/shop_statue_bear_01.png",
	"buttons/shop_statue_bear_02.png"
};

StatueLionButtonGraphics = {
	"buttons/shop_statue_lion_01.png",
	"buttons/shop_statue_lion_02.png"
};

StatuePeasantButtonGraphics = {
	"buttons/shop_statue_peasant_01.png",
	"buttons/shop_statue_peasant_02.png"
};

SmallFountainButtonGraphics = {
	"buttons/shop_fountain_small_01.png",
	"buttons/shop_fountain_small_02.png"
};

BigFountainButtonGraphics = {
	"buttons/shop_fountain_dolphin_01.png",
	"buttons/shop_fountain_dolphin_02.png"
};

IrrigatorButtonGraphics = {
	"buttons/shop_irrigation_01.png",
	"buttons/shop_irrigation_02.png"
};

LemonadeButtonGraphics = {
	"buttons/shop_lemonade_01.png",
	"buttons/shop_lemonade_02.png"
};

HotDogButtonGraphics = {
	"buttons/shop_hot_dog_01.png",
	"buttons/shop_hot_dog_02.png"
};

TShirtButtonGraphics = {
	"buttons/shop_tshirt_01.png",
	"buttons/shop_tshirt_02.png"
};

ToyButtonGraphics = {
	"buttons/shop_toy_01.png",
	"buttons/shop_toy_02.png"
};

BrickButtonGraphics = {
	"buttons/shop_brick_01.png",
	"buttons/shop_brick_02.png"
};

WellButtonGraphics = {
	"buttons/shop_well_01.png",
	"buttons/shop_well_02.png"
};

TrashCanButtonGraphics = {
	"buttons/shop_trash_a_01.png",
	"buttons/shop_trash_a_02.png"
};

RecyclingTrashCanButtonGraphics = {
	"buttons/shop_trash_b_01.png",
	"buttons/shop_trash_b_02.png"
};

GarbageBagButtonGraphics = {
	"buttons/shop_garbage_01.png",
	"buttons/shop_garbage_02.png"
};

-----------------------

ShovelButtonGraphics2 = {
	"buttons/shop_shovel_03.png"
};

SeedBushButtonGraphics2 = {
	"buttons/shop_seed_bush_a_03.png"
};

SeedBushFernSagoPalmButtonGraphics2 = {
	"buttons/shop_seed_fern_03.png"
};

SeedBushHostaGoldButtonGraphics2 = {
	"buttons/shop_seed_hosta_gold_03.png"
};

SeedDaisyButtonGraphics2 = {
	"buttons/shop_seed_daisy_03.png"
};

SeedLupinButtonGraphics2 = {
	"buttons/shop_seed_lupin_03.png"
};

SeedNarcissusButtonGraphics2 = {
	"buttons/shop_seed_narcissus_03.png"
};

SeedRoseButtonGraphics2 = {
	"buttons/shop_seed_rose_03.png"
};

SeedSunflowerButtonGraphics2 = {
	"buttons/shop_seed_sunflower_03.png"
};

SeedTulipButtonGraphics2 = {
	"buttons/shop_seed_tulip_03.png"
};

SeedZantedeschiaButtonGraphics2 = {
	"buttons/shop_seed_zantedeschia_03.png"
};

SeedLilyButtonGraphics2 = {
	"buttons/shop_seed_africanlily_03.png"
};

SeedGrassButtonGraphics2 = {
	"buttons/shop_seed_grass_03.png"
};

TreeElmButtonGraphics2 = {
	"buttons/shop_sprout_field_elm_03.png"
};

TreePalmButtonGraphics2 = {
	"buttons/shop_sprout_date_palm_03.png"
};

TreeJacarandaButtonGraphics2 = {
	"buttons/shop_sprout_jacaranda_03.png"
};

TreeMapleButtonGraphics2 = {
	"buttons/shop_sprout_red_maple_03.png"
};

TreeCedarButtonGraphics2 = {
	"buttons/shop_sprout_cedar_03.png"
};

WateringCanButtonGraphics2 = {
	"buttons/shop_watering_03.png"
};

SqueegeButtonGraphics2 = {
	"buttons/shop_aqueege_03.png"
};

StatueBearButtonGraphics2 = {
	"buttons/shop_statue_bear_03.png"
};

StatueLionButtonGraphics2 = {
	"buttons/shop_statue_lion_03.png"
};

StatuePeasantButtonGraphics2 = {
	"buttons/shop_statue_peasant_03.png"
};

SmallFountainButtonGraphics2 = {
	"buttons/shop_fountain_small_03.png"
};

BigFountainButtonGraphics2 = {
	"buttons/shop_fountain_dolphin_03.png"
};

IrrigatorButtonGraphics2 = {
	"buttons/shop_irrigation_03.png"
};

LemonadeButtonGraphics2 = {
	"buttons/shop_lemonade_03.png"
};

HotDogButtonGraphics2 = {
	"buttons/shop_hot_dog_03.png"
};

TShirtButtonGraphics2 = {
	"buttons/shop_tshirt_03.png"
};

ToyButtonGraphics2 = {
	"buttons/shop_toy_03.png"
};

BrickButtonGraphics2 = {
	"buttons/shop_brick_03.png"
};

WellButtonGraphics2 = {
	"buttons/shop_well_03.png"
};

TrashCanButtonGraphics2 = {
	"buttons/shop_trash_a_03.png"
};

RecyclingTrashCanButtonGraphics2 = {
	"buttons/shop_trash_b_03.png"
};

GarbageBagButtonGraphics2 = {
	"buttons/shop_garbage_03.png"
};

BenchButtonGraphics2 = {
	"buttons/shop_bench_03.png"
};

-----------------------

NewShopItemButton01Graphics = {
	"buttons/shop_new.png",
	"buttons/shop_new.png"
};

NewShopItemButton02Graphics = {
	"buttons/shop_new.png",
	"buttons/shop_new.png"
};

NewShopItemButton03Graphics = {
	"buttons/shop_new.png",
	"buttons/shop_new.png"
};

NewShopItemButton04Graphics = {
	"buttons/shop_new.png",
	"buttons/shop_new.png"
};

NewShopItemButton05Graphics = {
	"buttons/shop_new.png",
	"buttons/shop_new.png"
};

NewShopItemButton06Graphics = {
	"buttons/shop_new.png",
	"buttons/shop_new.png"
};

NewShopItemButton07Graphics = {
	"buttons/shop_new.png",
	"buttons/shop_new.png"
};

-----------------------

NewShopItemButton01Graphics2 = {
	"buttons/shop_new.png",
	"buttons/shop_new.png"
};

NewShopItemButton02Graphics2 = {
	"buttons/shop_new.png",
	"buttons/shop_new.png"
};

NewShopItemButton03Graphics2 = {
	"buttons/shop_new.png",
	"buttons/shop_new.png"
};

NewShopItemButton04Graphics2 = {
	"buttons/shop_new.png",
	"buttons/shop_new.png"
};

NewShopItemButton05Graphics2 = {
	"buttons/shop_new.png",
	"buttons/shop_new.png"
};

NewShopItemButton06Graphics2 = {
	"buttons/shop_new.png",
	"buttons/shop_new.png"
};

NewShopItemButton07Graphics2 = {
	"buttons/shop_new.png",
	"buttons/shop_new.png"
};

BenchButtonGraphics = {
	"buttons/shop_bench_01.png",
	"buttons/shop_bench_02.png"
};

BenchUpButtonGraphics = {
	"buttons/button_chair_up_01.png",
	"buttons/button_chair_up_02.png",
	"buttons/button_chair_up_03.png"
};

BenchDownButtonGraphics = {
	"buttons/button_chair_down_01.png",
	"buttons/button_chair_down_02.png",
	"buttons/button_chair_down_03.png"
};

BenchLeftButtonGraphics = {
	"buttons/button_chair_left_01.png",
	"buttons/button_chair_left_02.png",
	"buttons/button_chair_left_03.png"
};

BenchRightButtonGraphics = {
	"buttons/button_chair_right_01.png",
	"buttons/button_chair_right_02.png",
	"buttons/button_chair_right_03.png"
};

MinorStandardButtonFont = {
  standardFont,
  18,
  DarkGreenColor
};

MinorStandardButtonFont2 = {
  standardFont,
  16,
  DarkGreenColor
};

StandardButtonFont = {
  standardFont,
  20,
  DarkGreenColor
};

PlayButtonFont = {
  standardFont,
  26,
  DarkGreenColor
};

StandardMoneyCountFont = {
  standardFont,
  20,
  BlackColor
};

SpeakBalloonFont = {
  speakFont,
  18,
  BlackColor
};

SpeakBalloonFontMinor = {
  speakFont,
  16,
  BlackColor
};

ToolTipFont = {
  toolTipFont,
  14,
  BlackColor
};

StandardTitleFont = {
  standardFont,
  22,
  BlackColor
};

StandardFont = {
  standardFont,
  16,
  BlackColor
};

SpeakBalloonFontGreen = {
  speakFont,
  16,
  GreenColor
};

StatOverviewFont = {
  standardFont,
  14,
  BlackColor
};

MenuButtonFont = {
  standardFont,
  22,
  MenuButtonFontColor
};

DialogTitleFont = {
  standardFont,
  20,
  BlackColor
};

DialogBodyFont = {
  standardFont,
  20,
  WhiteColor
};

DefaultStyle = {
	font=DialogBodyFont
};

DialogTitleText = {
	parent=DefaultStyle,
	font = DialogTitleFont,
	flags = kVAlignCenter + kHAlignLeft,
	x=16,y=12,w=kMax,h=30
};

DialogBodyText = {
	parent=DefaultStyle,
	font = DialogBodyFont,
	flags = kVAlignCenter + kHAlignCenter,
	x=0,y=36,w=kMax,h=kMax-60
};

AltDialogBodyText = {
	parent=DefaultStyle,
	font = DialogTitleFont,
	flags = kVAlignCenter + kHAlignCenter,
	x=0,y=40,w=kMax,h=kMax-60
};

SliderStyle =
{
	parent=DefaultStyle,
	railtop = "slider/slider_03",
	railmid = "slider/slider_02",
	railbot = "slider/slider_01",
	sliderimage = "slider/button_slider_01",
	sliderrollimage = "slider/button_slider_02",

	yoffset = 1, -- scoot the slider down by one pixel to center it.
};

kDefaultButtonSound="audio/sfx/buttonclick.ogg";

MenuButtonStyle = {
	parent = DefaultStyle,
	font = MenuButtonFont,
	--sound = kDefaultButtonSound,
	graphics = {},
	w=169, h=40
};
	

ButtonStyle = {
	parent = DefaultStyle,
	font = StandardButtonFont,
	--sound = kDefaultButtonSound,
	type= kPush,
	graphics = StandardButtonGraphics,
};

BigButtonStyle = {
	parent = DefaultStyle,
	font = StandardButtonFont,
	--sound = kDefaultButtonSound,
	type= kPush,
	graphics = BigButtonGraphics,
};

MediumButtonStyle = {
	parent = DefaultStyle,
	font = StandardButtonFont,
	--sound = kDefaultButtonSound,
	type= kPush,
	graphics = MediumButtonGraphics,
};

SmallButtonStyle = {
	parent = DefaultStyle,
	font = StandardButtonFont,
	--sound = kDefaultButtonSound,
	type= kPush,
	graphics = SmallButtonLeftGraphics,
};

LongButtonStyle = {
	parent = ButtonStyle,
	graphics = LongButtonGraphics
};

CheckboxButtonStyle = {
	parent = DefaultStyle,
	font = StandardButtonFont,
	type = kToggle,
	--sound = kDefaultButtonSound,
	graphics = CheckboxButtonGraphics,
};

SetDefaultStyle(DefaultStyle);

-- Create a TButton with a label
--
-- We're overriding the default "Button" here with
-- some custom behavior. Specifically, we're layering
-- a Text{} object on top of every button, and it's placed
-- on all layers (up, down, roll-over).
function Button( button )
	return function()
		-- Grab the label from the button or current style
		if (GetTag(button,"label")) then

			-- Look for text dimensions
			local tx = GetTag(button,"tx");
			local ty = GetTag(button,"ty");
			local tw = GetTag(button,"tw");
			local th = GetTag(button,"th");

			-- Set defaults
			if (not tx) then
				tx = 0;
			end
			if (not ty) then
				ty = 0;
			end
			if (not tw) then
				tw=kMax ;
			end
			if (not th) then
				th=kMax ;
			end

			-- Get the label
			local label = GetTag(button,"label");

			local defflags = kPushButtonAlignment ;
			if (GetTag(button,"type")==kToggle) then
				defflags = kToggleButtonAlignment ;
			elseif (GetTag(button,"type")==kRadio) then
				defflags = kRadioButtonAlignment ;
			end

			local textfactory = GetTag(button,"textfactory");
			if (not textfactory) then
				textfactory = "_text"
			end
			table.insert(button,
				SelectLayer( kAllLayers )
			);
			-- Grow our window to encompass any children we've added
			-- already.
			table.insert(button,
				FitToChildren()
			);

			table.insert(button,
				AppendStyle{ font=button.font; flags=button.flags; }
			);

			table.insert(button,
				Text
				{
					label=label,
					x=tx, y=ty, w=tw, h=th,
					name='label',
					defflags =defflags
				}
			)
		end

		-- Type name of window to create; in our case, "Button".
		-- If you want to create a derived button type, you can do that here.
		button.typename='Button';
		DoWindow( button )
	end
end

-- Create several bits of text that combine to make a blended shadow
function ColorShadowText( x,y,size, label, color )

	return Group(
		{
		-- Add these traits to the current style
			AppendStyle{ x=x, y=y, w=kMax, h=kMax, label=label },
			AppendStyle{ font = { standardFont, size, Color(0,0,0,40)} },
			Text{ y=y+4 },
			AppendStyle{ font = { standardFont, size, Color(0,0,0,255)} },
			Text{ y=y+2 },
			AppendStyle{ font = { standardFont, size, color } } ,
			Text{},
		}
	)
end

kMenuButtonFontSize = 22;

function MenuButtonLabel( label, color, colorHighlight )

	if not color then
		color =Color(192,207,255,255);	-- the default colors
		colorHighlight=Color(255,255,255,255)
	end

	return Group{
		Bitmap
		{
			image="backgrounds/bar",
			x=0,y=0,scale=1
		},
		SelectLayer(0),
		ColorShadowText(5,8,kMenuButtonFontSize, label, color ),
		SelectLayer(1),
		ColorShadowText(5,8,kMenuButtonFontSize, label, colorHighlight ),
		SelectLayer(2),
		ColorShadowText(5,8,kMenuButtonFontSize, label, colorHighlight )
	}

end

-- Create a more limited-use button type here; the label is defined inline
-- with MenuButtonLabel above
function MenuButton( button )
	return function()
		-- Type name of window to create; in our case, "Button".
		-- If you want to create a derived button type, you can do that here.
		button.typename='Button';
		DoWindow( button )
	end
end

kIllegalNameChars = "!@#$%^&*()><\\\"\'[]{}|?/+=~`.,;:-";