GUIActionManager =
{
	Prices =
	{
		initMoney = 40,--55,
		initPriceTicket = 6,--10,
		initPriceLemonade = 4,--7,--10,
		initPriceHotdog = 4,--7,--10,
		initPriceToy = 4,--7,--10,
		initPriceShirt = 4,--7,--10,
		maxOverviewPrice = 10,

		seedGrassPrice = 5,
		seedBushPrice = 15,
		seedBushFernPrice = 30,--40,
		seedBushHostaPrice = 40,--40,
		seedDaisyPrice = 15,
		seedLupinPrice = 25,--30,
		seedNarcissusPrice = 20,--25,
		seedRosePrice = 60,--40,
		seedSunflowerPrice = 50,--40,
		seedTulipPrice = 30,--40,
		seedZantedeschiaPrice = 100,--40,
		seedLilyPrice = 35,--20,

		treeElmPrice = 25,
		treePalmPrice = 35,
		treeJacarandaPrice = 120,--40,
		treeMaplePrice = 65,--40,
		treeCedarPrice = 40,--40,

		shovelPrice = 10,
		wateringcanPrice = 10,
		brickPrice = 10,
		squeegePrice = 10,
		garbagebagPrice = 5,

		wellPrice = 20,
		benchPrice = 45,
		irrigationPrice = 60,--60,
		trashcanPrice = 20,
		recyclingcanPrice = 40,--20,

		bearStatuePrice = 45,
		lionStatuePrice = 320,--120,
		peasantStatuePrice = 450,--130,
		smallFountainPrice = 400,--160,
		bigFountainPrice = 2100,--200,

		lemonadeKioskPrice = 60,--60,
		hotdogKioskPrice = 80,--80,
		tshirtKioskPrice = 100,
		toyKioskPrice = 120,--100,
	},

	Messages =
	{
		InitFreeItemMsgTime = 10000,
		InitCertMsgTime = 3000,
		InitMsgOpenTime = 1000,
		InitWarMsgTime = 1000,
	},

	Certificates =
	{
		--- CERTIFICATES ---

		------- Gardening --------

		CertGarden_Reward_Unlock = 20,
		CertGarden_Reward_Bronze = 40,
		CertGarden_Reward_Silver = 80,
		CertGarden_Reward_Gold = 150,

		CertGarden_MaxFlowers_UnLock = 4,
		CertGarden_MaxTrees_UnLock = 0,
		
		CertGarden_MaxFlowers_Bronze = 22,
		CertGarden_MaxTrees_Bronze = 2,
		
		CertGarden_MaxFlowers_Silver = 80,
		CertGarden_MaxTrees_Silver = 8,
		
		CertGarden_MaxFlowers_Gold = 240,
		CertGarden_MaxTrees_Gold = 32,
		
		------- Floriculture --------

		AwardFloric_Reward_Unlock = 40,
		AwardFloric_Reward_Bronze = 70,
		AwardFloric_Reward_Silver = 120,
		AwardFloric_Reward_Gold = 200,

		AwardFloric_MaxFlowerSeedsShop_UnLock = 4,
		
		AwardFloric_MaxFlowerTypes_Bronze = 5,
		AwardFloric_MaxFlowerTypes_Silver = 6,
		AwardFloric_MaxFlowerTypes_Gold = 8,
		
		------- Bonatic --------

		AwardBotanic_Reward_Unlock = 40,
		AwardBotanic_Reward_Bronze = 80,
		AwardBotanic_Reward_Silver = 150,
		AwardBotanic_Reward_Gold = 250,

		AwardBotanic_MaxFlowerSeedsShop_UnLock = 5,
		AwardBotanic_MaxTreeSproutsShop_UnLock = 3,
		AwardBotanic_MaxBushSeedsShop_UnLock = 2,
		
		AwardBotanic_MaxFlowerTypes_Bronze = 6,
		AwardBotanic_MaxTreeTypes_Bronze = 3,
		AwardBotanic_MaxBushTypes_Bronze = 2, 
		
		AwardBotanic_MaxFlowerTypes_Silver = 7,
		AwardBotanic_MaxTreeTypes_Silver = 4,
		AwardBotanic_MaxBushTypes_Silver = 3,
		
		AwardBotanic_MaxFlowerTypes_Gold = 8,
		AwardBotanic_MaxTreeTypes_Gold = 5,
		AwardBotanic_MaxBushTypes_Gold = 3,
		
		------- Landscape --------

		CertLand_Reward_Unlock = 50,
		CertLand_Reward_Bronze = 80,
		CertLand_Reward_Silver = 120,
		CertLand_Reward_Gold = 200,

		CertLand_MaxFlowers_Unlock = 50,
		CertLand_MaxTress_Unlock = 3, 
		CertLand_MaxBushes_Unlock = 15,
		CertLand_MaxRoadBlocks_Unlock = 22,
		
		CertLand_MaxStatues_Bronze = 2,
		CertLand_MaxFountains_Bronze = 1,
		
		CertLand_MaxStatues_Silver = 4,
		CertLand_MaxFountains_Silver = 1,
		
		CertLand_MaxStatues_Gold = 8,
		CertLand_MaxFountains_Gold = 3,
		
		------- Garden Arts --------

		AwardGarden_Reward_Unlock = 40,
		AwardGarden_Reward_Bronze = 80,
		AwardGarden_Reward_Silver = 200,
		AwardGarden_Reward_Gold = 400,

		AwardGarden_MaxStatuesShop_UnLock = 2,
		
		AwardGarden_MaxStatueTypes_Bronze = 2,
		AwardGarden_MaxFountainTypes_Bronze = 1,
		
		AwardGarden_MaxStatueTypes_Silver = 3,
		AwardGarden_MaxFountainTypes_Silver = 1,
		
		AwardGarden_MaxStatueTypes_Gold = 3,
		AwardGarden_MaxFountainTypes_Gold = 2,
		
		------- Landscape Design --------

		AwardLandDesign_Reward_Unlock = 40,
		AwardLandDesign_Reward_Bronze = 70,
		AwardLandDesign_Reward_Silver = 150,
		AwardLandDesign_Reward_Gold = 500,

		AwardLandDesign_MaxDecoBuildingShop_UnLock = 3,
		AwardLandDesign_MaxPlantsShop_UnLock = 7,
		
		AwardLandDesign_MaxPlantTypes_Bronze = 10,
		AwardLandDesign_MaxDecoBuildingTypes_Bronze = 3,
		
		AwardLandDesign_MaxPlantTypes_Silver = 13,
		AwardLandDesign_MaxDecoBuildingTypes_Silver = 4,
		
		AwardLandDesign_MaxPlantTypes_Gold = 16,
		AwardLandDesign_MaxDecoBuildingTypes_Gold = 5,
		
		------- Tourism --------

		CertTourism_Reward_Unlock = 20,
		CertTourism_Reward_Bronze = 50,
		CertTourism_Reward_Silver = 80,
		CertTourism_Reward_Gold = 120,

		CertTourism_VisitorsTotal_UnLock = 18,
		
		CertTourism_WeekNumVisitors_Bronze = 30,--27,
		CertTourism_WeekCounter_Bronze = 1,

		CertTourism_WeekNumVisitors_Silver = 40,--35,
		CertTourism_WeekCounter_Silver = 1,

		CertTourism_WeekNumVisitors_Gold = 50,--45,
		CertTourism_WeekCounter_Gold = 1,
		
		------- Popularity --------

		AwardPopular_Reward_Unlock = 50,
		AwardPopular_Reward_Bronze = 70,
		AwardPopular_Reward_Silver = 90,
		AwardPopular_Reward_Gold = 110,

		AwardPopular_VisitorsTotal_UnLock = 180,--150,
		
		AwardPopular_NumVisitors_Bronze = 8,
		AwardPopular_NumVisitors_Silver = 9,
		AwardPopular_NumVisitors_Gold = 10,
		
		------- Quality Services --------

		AwardQAServ_Reward_Unlock = 30,
		AwardQAServ_Reward_Bronze = 50,
		AwardQAServ_Reward_Silver = 70,
		AwardQAServ_Reward_Gold = 120,

		AwardQAServ_WeekSatisfied_UnLock = 85,--30,
		AwardQAServ_WeekCounter_UnLock = 4,
		
		AwardQAServ_WeekSatisfied_Bronze = 90,--40,
		AwardQAServ_WeekCounter_Bronze = 3,

		AwardQAServ_WeekSatisfied_Silver = 95,--60,
		AwardQAServ_WeekCounter_Silver = 5,

		AwardQAServ_WeekSatisfied_Gold = 100,--80,
		AwardQAServ_WeekCounter_Gold = 8,
		
		------- Ambiental --------

		CertAmbitental_Reward_Unlock = 25,
		CertAmbitental_Reward_Bronze = 50,
		CertAmbitental_Reward_Silver = 70,
		CertAmbitental_Reward_Gold = 120,

		CertAmbitental_MaxTrashCans_UnLock = 4,--6,
		CertAmbitental_WeekTrashComplaints_UnLock = 0,
		CertAmbitental_WeekDeadPlantsComplaints_UnLock = 0,
		CertAmbitental_WeekCounter_UnLock = 1,
		
		CertAmbitental_WeekNumVisitors_Bronze = 2,
		CertAmbitental_WeekNumVisitors_Silver = 3,
		CertAmbitental_WeekNumVisitors_Gold = 4,

		CertAmbitental_WeekTrashComplaints_Bronze = 0,
		CertAmbitental_WeekDeadPlantsComplaints_Bronze = 0,
		CertAmbitental_WeekCounter_Bronze = 2,

		CertAmbitental_WeekTrashComplaints_Silver = 0,
		CertAmbitental_WeekDeadPlantsComplaints_Silver = 0,
		CertAmbitental_WeekCounter_Silver = 4,

		CertAmbitental_WeekTrashComplaints_Gold = 0,
		CertAmbitental_WeekDeadPlantsComplaints_Gold = 0,
		CertAmbitental_WeekCounter_Gold = 6,
		
		------- Recycling --------

		AwardRecycle_Reward_Unlock = 25,
		AwardRecycle_Reward_Bronze = 30,
		AwardRecycle_Reward_Silver = 40,
		AwardRecycle_Reward_Gold = 80,

		AwardRecycle_MaxRecycleTrashCans_UnLock = 2,
		
		AwardRecycle_WeekRecyclingRate_Bronze = 50,
		AwardRecycle_WeekCounter_Bronze = 1,

		AwardRecycle_WeekRecyclingRate_Silver = 75,
		AwardRecycle_WeekCounter_Silver = 2,

		AwardRecycle_WeekRecyclingRate_Gold = 100,
		AwardRecycle_WeekCounter_Gold = 4,
		
		------- Ambiental Preservation --------

		AwardAmbPres_Reward_Unlock = 50,
		AwardAmbPres_Reward_Bronze = 60,
		AwardAmbPres_Reward_Silver = 75,
		AwardAmbPres_Reward_Gold = 90,

		AwardAmbPres_MaxFlowers_UnLock = 160,
		AwardAmbPres_MaxTrees_UnLock = 16,
		AwardAmbPres_MaxBushes_UnLock = 40,
		
		AwardAmbPres_WeekNumDeadPlants_Bronze = 0,
		AwardAmbPres_WeekCounter_Bronze = 2,

		AwardAmbPres_WeekNumDeadPlants_Silver = 0,
		AwardAmbPres_WeekCounter_Silver = 4,

		AwardAmbPres_WeekNumDeadPlants_Gold = 0,
		AwardAmbPres_WeekCounter_Gold = 8,
	},

	FreeItems =
	{
		----- ATRACTIVE -----
		
		----- BUSHES -----
		SeedBush_ID = 0,
		SeedBushHosta_ID = 12,
		SeedBushFern_ID = 6,
		
		----- FLOWERS -----
		SeedLily_ID = 9,
		SeedNarcissus_ID = 1,
		SeedLupin_ID = 5,
		SeedTulip_ID = 4,
		SeedSunflower_ID = 11,
		SeedRose_ID = 14,
		Seedantedeschia_ID = 15,
		
		----- TREES -----
		TreePalm_ID = 2,
		TreeCedar_ID = 7,
		TreeRed_ID = 13,
		TreeJacaranda_ID = 17,
		
		----- MONUMENTS -----
		StatueBear_ID = 3,
		StatueLion_ID = 10,
		StatuePeasant_ID = 16,
		
		SmallFountain_ID = 8,
		BigFountain_ID = 18,
		
		----- QTD VIS -----
		
		Bench_ID = 1,
		
		----- KIOSKS -----
		Lemonade_ID = 0,
		HotDog_ID = 2,
		TShirt_ID = 3,
		Toy_ID = 4,
		
		
		----- PLANTS -----
		
		SeedBush_maxTime = 15000,--30000,--20000,--300000,
		SeedBush_maxAtract = 50,--50,--150,
		
		SeedNarcissus_maxTime = 120000,--20000,--1200000,
		SeedNarcissus_maxAtract = 50,--140,--700,
		
		TreePalm_maxTime = 300000,--200000,--360000,--20000,--900000,
		TreePalm_maxAtract = 60,--300,--500,
		
		SeedTulip_maxTime = 180000,--660000,--20000,--1500000,
		SeedTulip_maxAtract = 60,--480,--900,
		
		SeedLupin_maxTime = 420000,--1260000,--20000--1500000,
		SeedLupin_maxAtract = 60,--550,--900,
		
		SeedBushFern_maxTime = 500000,--1860000,--20000,--300000,
		SeedBushFern_maxAtract = 60,--640,--150,
		
		TreeCedar_maxTime = 600000,--2460000,--20000,--900000,
		TreeCedar_maxAtract = 60,--800,--500,

		SeedLily_maxTime = 900000,--20000,--600000,
		SeedLily_maxAtract = 1500,--2250,--1150,--300,
		
		SeedSunflower_maxTime = 900000,--20000,--600000,
		SeedSunflower_maxAtract = 2750,--3500,--300,
		
		SeedBushHosta_maxTime = 1200000,--20000,--300000,
		SeedBushHosta_maxAtract = 3250,--4000,--150,
		
		TreeRed_maxTime = 3600000,--20000,--900000,
		TreeRed_maxAtract = 3750,--4500,--500,
		
		SeedRose_maxTime = 2400000,--20000,--600000,
		SeedRose_maxAtract = 4250,--5000,--300,
		
		SeedZantedeschia_maxTime = 3600000,--9000,--600000,
		SeedZantedeschia_maxAtract = 4750,--5500,--300,
		
		TreeJacaranda_maxTime = 1200000,--12000,--180000,--900000,
		TreeJacaranda_maxAtract = 5750,--6500,--360,--500,
		
		----- TOOLS -----

		Squeege_maxBuildTypes = 1,--2,
		GarbageBag_maxTime = 20000,--100000,

		----- KIOSKS -----
		
		Lemonade_maxVisitors = 20,--25,
		HotDog_maxVisitors = 180,--60,--25,
		TShirt_maxVisitors = 400,--300,--25,
		Toy_maxVisitors = 800,--500,--25,
		
		----- BUILDINGS -----
		
		Irrigator_maxPlants = 26,--22,--30,
		Bench_maxVisitors = 48,--40,
		TrashCan_maxTime = 40000,--60000,
		RecycleCan_maxTime = 60000,--4980000,--200000,
		
		----- MONUMENTS -----

		StatueBear_maxTime = 200000,--120000,--20000,--600000,
		StatueBear_maxAtract = 60,--370,--300,
		
		StatueLion_maxTime = 1800000,--20000,--600000,
		StatueLion_maxAtract = 2000,--2750,--1330,--300,
		
		StatuePeasant_maxTime = 1200000,--20000,--600000,
		StatuePeasant_maxAtract = 5250,--6000,--300,
		
		SmallFountain_maxTime = 660000,--3120000,--20000,--600000,
		SmallFountain_maxAtract = 60,--980,--300,
		
		BigFountain_maxTime = 3000000,--20000,--600000,
		BigFountain_maxAtract = 6250,--7000,--300,
	},
}
