require( "scripts/style.lua" );


local yes="yes" ;
local yesname="yes" ;
local no="no" ;	
local noname="no" ;	
local name="yesnobox";
	
if (gDialogTable.yeslabel) then
	yes = gDialogTable.yeslabel ;
end
if (gDialogTable.nolabel) then
	no = gDialogTable.nolabel ;
end
if (gDialogTable.yesname) then
	yesname = gDialogTable.yesname;
end
if (gDialogTable.noname) then
	noname = gDialogTable.noname;
end

if (gDialogTable.name) then
	name = gDialogTable.name;
end


MakeDialog
{
	name=name, -- Remember, this is like saying table['name']=name, so it works.

    Bitmap
    {
 		image="backgrounds/background_folhas",
        alpha = true,
        x=kCenter,
        y=kCenter,
    },

    Bitmap
    {
		image="backgrounds/window02",
		x=kCenter,
		y=kCenter,

		--[[SetStyle(DialogTitleText),
     		Text
		{
			name = "yesnotitle",
			label= gDialogTable.title,
		};]]--
		
		SetStyle(DialogBodyText),
		Text
		{
			name = "yesnobody",
			label= gDialogTable.body,
		};

        SetStyle(SmallButtonStyle),
        Button
        {
			command=
				function()
					if (gDialogTable.yes) then 
						gDialogTable.yes() ; 
					end
				end;
            close = true,
            flags = 5,
            label = yes,
	    --graphics= SmallButtonLeftGraphics,
	    --font= StandardButtonFont,
            name = yesname,
	    sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
	    --type = kPush,
            x = kCenter-80,
            y = kMax-130,
        },
        Button
        {
			command=
				function() 
					if (gDialogTable.no) then
						gDialogTable.no() ; 
					end
                end;
            close = true,
            flags = 5,
            label = no,
	    --graphics= SmallButtonLeftGraphics,
	    --font= StandardButtonFont,
            name = noname,
	    sound = "audio/sfx/beta_build/main_buttons_swap_overview.ogg",
	    --type = kPush,
            x = kCenter+80,
            y = kMax-130,
        },
        
    },

} -- MakeDialog
