require( "scripts/style.lua" );
require( "scripts/howtoplay.lua" );

TitleFont = {
  standardFont,
  70,
  BlackColor
};


MakeDialog
{
	-- Name the modal dialog
	name="comic_02",
	
	Bitmap
	{
		image="backgrounds/Teste_HQ_02",
		alpha = true,
		
		Button
		{
			x=10,
			y=520,
			graphics = ArrowLeftButtonGraphics,
			name="LeftFlipArrow",
			sound="audio/sfx/beta_build/main_buttons_swap_overview.ogg",
			type = kPush,
			command=
				function()
					PopModal("comic_02");		
				end
		},
		
		Button
		{
			x=750,
			y=520,
			graphics = ArrowRightButtonGraphics,
			name="RightFlipArrow",
			sound="audio/sfx/beta_build/main_buttons_swap_overview.ogg",
			type = kPush,
			command=
				function()
					CPP_ComicOn(false);	
					PopModal("comic_01");						
				end
		},
	},
};

CPP_ComicOn(true);