require( "scripts/style.lua" );
SetState( kPause, true );

ScrapGroup =
{
	name="ScrapGroup",
	x=110,
	y=390,
	w=400,
	h=200,

	Button
	{
		x=0,
		y=0,
		graphics = ScrapAButtonGraphics,
		name="ScrapAButton",
		label="",
		type = kPush,
		command=
			function()
				DoModal("scripts/scrap_a.lua");
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = ScrapBButtonGraphics,
		name="ScrapBButton",
		label="",
		type = kPush,
		command=
			function()
				DoModal("scripts/scrap_b.lua");
			end
	},	
	
	Button
	{
		x=0,
		y=0,
		graphics = ScrapCButtonGraphics,
		name="ScrapCButton",
		label="",
		type = kPush,
		command=
			function()
				DoModal("scripts/scrap_c.lua");
			end
	},
	
	Button
	{
		x=0,
		y=0,
		graphics = ScrapDButtonGraphics,
		name="ScrapDButton",
		label="",
		type = kPush,
		command=
			function()
				DoModal("scripts/scrap_d.lua");
			end
	},
	
};

MakeDialog
{
	name = "overview",
	
	Bitmap
	{
		alpha = true,
		image="backgrounds/background_folhas",
		x=kCenter,
		y=kCenter,
	},
	
	Bitmap
	{
		image="backgrounds/window",
		alpha = true,
		x = kCenter,
		y = kCenter,
		
		Bitmap
		{			
			image="backgrounds/tit_overview",
			x=258,
			y=40,
		},
		
		Bitmap
		{
			image="backgrounds/prices_01",
			x=124,
			y=110,
			
			Bitmap
			{			
				image="backgrounds/price_ticket_01",
				x=9,
				y=35,
				
				Text 
				{ 
					x = 114, 
					y = 12, 
					w = 100, 
					h = 100, 
					name = "TicketPrice", 
					label = "", 
					font = StandardMoneyCountFont, 
					flags = kHAlignLeft + kVAlignTop 
				},
			},
			
			Bitmap
			{
				image="backgrounds/price_lemonade_01",
				x=9,
				y=73,
				
				Text 
				{ 
					x = 114, 
					y = 12, 
					w = 100, 
					h = 100, 
					name = "LemonadePrice", 
					label = "", 
					font = StandardMoneyCountFont, 
					flags = kHAlignLeft + kVAlignTop 
				},
			},
			
			Bitmap
			{
				image="backgrounds/price_hotdog_01",
				x=9,
				y=111,
				
				Text 
				{ 
					x = 114, 
					y = 12, 
					w = 100, 
					h = 100, 
					name = "HotdogPrice", 
					label = "", 
					font = StandardMoneyCountFont, 
					flags = kHAlignLeft + kVAlignTop 
				},
			},
			
			Bitmap
			{
				image="backgrounds/price_toy_01",
				x=9,
				y=149,
				
				Text 
				{ 
					x = 114, 
					y = 12, 
					w = 100, 
					h = 100, 
					name = "ToyPrice", 
					label = "", 
					font = StandardMoneyCountFont, 
					flags = kHAlignLeft + kVAlignTop 
				},
			},
			
			Bitmap
			{
				image="backgrounds/price_tshirt_01",
				x=9,
				y=187,
				
				Text 
				{ 
					x = 114, 
					y = 12, 
					w = 100, 
					h = 100, 
					name = "ShirtPrice", 
					label = "", 
					font = StandardMoneyCountFont, 
					flags = kHAlignLeft + kVAlignTop 
				},
			},
			
			Button
			{
				x=144,
				y=34,
				graphics = IncreaseButtonGraphics,
				name="IncreasePriceButton",
				label="",
				type = kPush,
				command=
					function()
						CPP_IncreaseOverviewPrice("ticket");
					end
			},
			
			Button
			{
				x=144,
				y=50,
				graphics = DecreaseButtonGraphics,
				name="DecreasePriceButton",
				label="",
				type = kPush,
				command=
					function()
						CPP_DecreaseOverviewPrice("ticket");
					end
			},
			
			Button
			{
				x=144,
				y=72,
				graphics = IncreaseButtonGraphics,
				name="IncreasePriceButton",
				label="",
				type = kPush,
				command=
					function()
						CPP_IncreaseOverviewPrice("lemonade");
					end
			},
			
			Button
			{
				x=144,
				y=88,
				graphics = DecreaseButtonGraphics,
				name="DecreasePriceButton",
				label="",
				type = kPush,
				command=
					function()
						CPP_DecreaseOverviewPrice("lemonade");
					end
			},
			
			Button
			{
				x=144,
				y=110,
				graphics = IncreaseButtonGraphics,
				name="IncreasePriceButton",
				label="",
				type = kPush,
				command=
					function()
						CPP_IncreaseOverviewPrice("hotdog");
					end
			},
			
			Button
			{
				x=144,
				y=126,
				graphics = DecreaseButtonGraphics,
				name="DecreasePriceButton",
				label="",
				type = kPush,
				command=
					function()
						CPP_DecreaseOverviewPrice("hotdog");
					end
			},
			
			Button
			{
				x=144,
				y=148,
				graphics = IncreaseButtonGraphics,
				name="IncreasePriceButton",
				label="",
				type = kPush,
				command=
					function()
						CPP_IncreaseOverviewPrice("toy");
					end
			},
			
			Button
			{
				x=144,
				y=164,
				graphics = DecreaseButtonGraphics,
				name="DecreasePriceButton",
				label="",
				type = kPush,
				command=
					function()
						CPP_DecreaseOverviewPrice("toy");
					end
			},
			
			Button
			{
				x=144,
				y=186,
				graphics = IncreaseButtonGraphics,
				name="IncreasePriceButton",
				label="",
				type = kPush,
				command=
					function()
						CPP_IncreaseOverviewPrice("shirt");
					end
			},
			
			Button
			{
				x=144,
				y=202,
				graphics = DecreaseButtonGraphics,
				name="DecreasePriceButton",
				label="",
				type = kPush,
				command=
					function()
						CPP_DecreaseOverviewPrice("shirt");
					end
			},
		},
		
		Window(ScrapGroup),
		
		Bitmap
		{
			image="backgrounds/scraps_01",
			x=163,
			y=355,
		},
		
		Bitmap
		{
			image="backgrounds/Progress_01",
			x=419,
			y=102,
		},
		
		Bitmap
		{
			image="backgrounds/certificate_water_mark",
			x=324,
			y=135,
		},
		
		Bitmap
		{
			image="backgrounds/certificate_water_mark",
			x=443,
			y=135,
		},
		
		Bitmap
		{
			image="backgrounds/certificate_water_mark",
			x=562,
			y=135,
		},
		
		Bitmap
		{
			image="backgrounds/certificate_water_mark",
			x=324,
			y=221,
		},
		
		Bitmap
		{
			image="backgrounds/certificate_water_mark",
			x=443,
			y=221,
		},
		
		Bitmap
		{
			image="backgrounds/certificate_water_mark",
			x=562,
			y=221,
		},	
		
		Bitmap
		{
			image="backgrounds/certificate_water_mark",
			x=324,
			y=307,
		},
		
		Bitmap
		{
			image="backgrounds/certificate_water_mark",
			x=443,
			y=307,
		},
		
		Bitmap
		{
			image="backgrounds/certificate_water_mark",
			x=562,
			y=307,
		},
		
		Bitmap
		{
			image="backgrounds/certificate_water_mark",
			x=324,
			y=396,
		},
		
		Bitmap
		{
			image="backgrounds/certificate_water_mark",
			x=443,
			y=396,
		},
		
		Bitmap
		{
			image="backgrounds/certificate_water_mark",
			x=562,
			y=396,
		},
		
		SetStyle(BigButtonStyle),

		Button
		{
			x=kCenter,
			y=kCenter+235,
			label="back",
			close = true,	-- Just close this window
			command=
				function()
     		       	SetState( kPause, false );
     		       	CPP_SetOverviewState(false);
				end;

		},
		
	},
}

CPP_InitOverviewPrices();