require( "scripts/style.lua" );

kButtonSpacing = 66;	-- Put our buttons 60 pixels apart
kButtonY = kCenter-100;	-- Three buttons means center 60 pixels above the center

-- When this dialog is popped up, we're entering pause state, so
-- let's just notify TGameState now.
SetState( kPause, true );

MakeDialog
{
	-- Name the modal dialog
	name="pausemenu",
	Bitmap
	{
		alpha = true,
		image="backgrounds/background_folhas",
		x=kCenter,
		y=kCenter,
	},
	Bitmap
	{
		image="backgrounds/window01",
		x=kCenter,
		y=kCenter,

		SetStyle(BigButtonStyle),
		Button
		{
			x=kCenter,
			y=kButtonY,
			label="resume",
			close = true,	-- Just close this window
			sound="audio/sfx/beta_build/main_buttons_swap_overview.ogg",
			command=
				function()
	                SetState( kPause, false );
	                 gamePaused=false;
				end;

		},

		Button
		{
			x=kCenter,
			y=kButtonY + (kButtonSpacing * 1),
			label="options",
			sound="audio/sfx/beta_build/main_buttons_swap_overview.ogg",
			command=
				function()
					-- Pop up an options screen
					DoModal("scripts/options.lua");
				end
		},

		Button
		{
			x=kCenter,
			y=kButtonY + (kButtonSpacing * 2),
			label="howtoplay",
			sound="audio/sfx/beta_build/main_buttons_swap_overview.ogg",
			command=
				function()
	               DoModal("scripts/howtoplay.lua"); 	
				end;
		},

		Button
		{
			x=kCenter,
			y=kButtonY + (kButtonSpacing * 3),
			sound="audio/sfx/beta_build/main_buttons_swap_overview.ogg",
			label="quit",
			--[[
			command=
					function()
						result = DisplayDialog {
							"scripts/yesno.lua",
							body ="quitconfirm",
							title = "quittitle"
						};
						if (result=='yes') then
							SetLastGameMode(2);
							SetCurrentGameMode(1);
							PostMessage( CreateNamedMessage( kQuitNow, "Quit" ) );
							DoModal("scripts/mainmenu.lua");
							--SwapToModal("scripts/mainmenu.lua");
						end
					end
			]]--
			
			command=
					function()
						
						result = DisplayDialog {
							"scripts/yesno.lua",
							body ="quitconfirm",
							title = "quittitle"
						};
						if (result=='yes') then
							SetLastGameMode(2);
							SetCurrentGameMode(2);
							quit_pause = false;
							PostMessage( CreateNamedMessage( kQuitNow, "quit" ) );
						end
					end
			--[[
			command=
				function()
					-- Our game processes this message--it's not
					-- handled by Playground
            		--SendGameMessage( "quit" );
            		--SetState( kPause, false );
            		--DoModal("scripts/mainmenu.lua");
            		SetLastGameMode(2);
					SetCurrentGameMode(2);
					PostMessage( CreateNamedMessage( kQuitNow, "quit" ) );
				end
			]]--
			
		},
	},
}